#include "nsIContextMenuListener.h"
#include "nsISupports.h"
#include "nsCOMPtr.h"
#include "nsWeakReference.h"
#include "nsIWebBrowser.h"
#include "gtkmozembed.h"
#include "gtkmozembed_internal.h"
#include "nsIDOMEventReceiver.h"
#include "nsIDOMDocument.h"
#include "nsIDOMEventTarget.h"
#include "nsIDOMEventListener.h"
#include "nsIDocument.h"
#include "nsIDOMWindowInternal.h"
#include "nsIInterfaceRequestor.h"
#include "nsPIDOMWindow.h"
#include "nsIChromeEventHandler.h"

class nsIContextMenuListener;

class SkipContext : public nsIContextMenuListener,
  		    public nsSupportsWeakReference
{
public:
  NS_DECL_ISUPPORTS
  NS_DECL_NSICONTEXTMENULISTENER

  SkipContext();
  virtual ~SkipContext();
  nsresult Init(GtkMozEmbed *aEmbed);
  GtkMozEmbed *mEmbed;
  nsCOMPtr<nsIWebBrowser> mWebBrowser;
     
  /* additional members */
};

